#include "partition.h"
#include <bits/stdc++.h>

using namespace std;


std::vector<int> solve(std::vector<int> A) {
    int n = A.size();
    vector<pair<int,int>>v;
    for(int i=0; i<n; i++) v.push_back({A[i], i});
    sort(v.begin(), v.end());
    vector<int>left,right;
    for(int i=0; i<n; i+=2) {
        left.push_back(v[i].second);
        right.push_back(v[i+1].second);
    }
    vector<int>ans;
    for(int i=0; i<n; i++) ans.push_back(i);
    return ans;
}
